Bug 476761 - Krita crash on saving webp images
Summary: Krita crash on saving webp images
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Applications
Component: File formats (show other bugs)
Version: 5.2.0
Platform: Compiled Sources All
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2023-11-09 16:14 UTC by acc4commissions
Modified: 2023-12-10 14:35 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description acc4commissions 2023-11-09 16:14:55 UTC
SUMMARY
Krita Plus git 3353155

5.2.1, Krita Next all have the same problem. 
Saving .kra to webp has no problem, but opening webp file and re-saving it crashes krita.

STEPS TO REPRODUCE
1. Open(or make&open) a webp file
2. Make a change, try to save it as the same webp format.
3. Crash


SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: 
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 acc4commissions 2023-11-09 16:15:51 UTC
CrashLog:

Error occurred on Friday, November 10, 2023 at 01:08:32.

krita.exe caused a Breakpoint at location 00007FFC8BAAB892 in module KERNELBASE.dll.

AddrPC           Params
00007FFC8BAAB892 0000000000000000 000000000000009B 0000000000000000  KERNELBASE.dll!wil::details::DebugBreak+0x2
00007FFC1B0D5AAA 0000026B4DAF30A0 00007FFC1B0DBC2B 0000000000000000  Qt5Core.dll!qt_message_fatal+0xa
00007FFC1B0D6A74 000000DFF0D0F1A0 00007FFC00000000 0000026B4F7D0138  Qt5Core.dll!QMessageLogger::fatal+0x72
00007FFC642A2F66 0000026B4C749F40 0000000000000001 0000000000000001  libkritaglobal.dll!kis_assert_common+0x556
00007FFC642A30C1 0000026B4C777460 0000000000000000 0000026B252C01E0  libkritaglobal.dll!kis_assert_exception+0x11
00007FFC1247095E 0000026B2CF39010 00007FFC00000000 0000026B1F720000  kritawebpexport.dll!KisWebPExport::convert+0xf8e
00007FFC1C10A546 0000026B1F727DFC 0000000000000094 0000026B252C01E0  libkritaui.dll!KisImportExportManager::doExportImpl+0x126
00007FFC1C109B67 000000DFF0D0F840 00007FFC1B0E4E28 0000000000000000  libkritaui.dll!KisImportExportManager::doExport+0x67
00007FFC1C10CF4A 0000000000000000 0000000000000000 0000026B4C777410  libkritaui.dll!std::__1::__invoke[abi:v15000]<KisImportExportErrorCode (KisImportExportManager::*&)(QString const&, QSharedPointer<KisImportExportFilter>, KisPinnedSharedPtr<KisPropertiesConfiguration>, QString), KisImportExportManager*&, QString&, QSharedPointer<KisImportExportFilter>&, KisPinnedSharedPtr<KisPropertiesConfiguration>&, QString&, void>+0xaa
00007FFC1C10CA8C 0000026B4B3FF370 00007FFC8B82F05B 0000026B1F79A340  libkritaui.dll!QtConcurrent::StoredFunctorCall0<KisImportExportErrorCode, std::__1::__bind<KisImportExportErrorCode (KisImportExportManager::*)(QString const&, QSharedPointer<KisImportExportFilter>, KisPinnedSharedPtr<KisPropertiesConfiguration>, QString), KisImportExportManager*, QString const&, QSharedPointer<KisImportExportFilter>&, KisPinnedSharedPtr<KisPropertiesConfiguration>&, QString const&> >::runFunctor+0x3c
00007FFC1C10C9AC 0000000000000000 00007FFC00000000 0000026B252E9FC0  libkritaui.dll!QtConcurrent::RunFunctionTask<KisImportExportErrorCode>::run+0x2c
00007FFC1B0E1056 0000000000000000 0000000000000000 0000000000000000  Qt5Core.dll!QThreadPoolThread::run+0xb6
00007FFC1B0DD59A 0000000000000000 0000000000000000 0000000000000000  Qt5Core.dll!QThreadPrivate::start+0x10a
00007FFC8BFB7344 0000000000000000 0000000000000000 0000000000000000  KERNEL32.DLL!BaseThreadInitThunk+0x14
00007FFC8DEE26B1 0000000000000000 0000000000000000 0000000000000000  ntdll.dll!RtlUserThreadStart+0x21

00007FF66D010000-00007FF66D055000 krita.exe   	5.2.1.100
00007FFC8DE90000-00007FFC8E087000 ntdll.dll   	6.2.19041.3570
00007FFC8BFA0000-00007FFC8C05D000 KERNEL32.DLL	6.2.19041.3570
00007FFC8B9C0000-00007FFC8BCB6000 KERNELBASE.dll	6.2.19041.3570
00007FFC8B820000-00007FFC8B920000 ucrtbase.dll	6.2.19041.3570
00007FFC1CB50000-00007FFC1D1F6000 krita.dll
00007FFC88D80000-00007FFC88D8D000 libkritamultiarch.dll
00007FFC643A0000-00007FFC6448F000 libkritaresources.dll
00007FFC1C4F0000-00007FFC1CB48000 libkritaimage.dll
00007FFC642A0000-00007FFC6439A000 libkritaglobal.dll
00007FFC8CFA0000-00007FFC8D6E4000 SHELL32.dll 	6.2.19041.3570
00007FFC8B920000-00007FFC8B9BD000 msvcp_win.dll	6.2.19041.3570
00007FFC8C220000-00007FFC8C3BE000 USER32.dll  	6.2.19041.3570
00007FFC8B740000-00007FFC8B762000 win32u.dll  	6.2.19041.3570
00007FFC8C1F0000-00007FFC8C21C000 GDI32.dll   	6.2.19041.3570
00007FFC8BDD0000-00007FFC8BEEA000 gdi32full.dll	6.2.19041.3570
00007FFC8CCB0000-00007FFC8CDDB000 ole32.dll   	6.2.19041.3570
00007FFC8C3D0000-00007FFC8C4F6000 RPCRT4.dll  	6.2.19041.3570
00007FFC8C650000-00007FFC8C9A4000 combase.dll 	6.2.19041.3570
00007FFC1BBB0000-00007FFC1C4EF000 libkritaui.dll
00007FFC722C0000-00007FFC72311000 libKF5I18n.dll
00007FFC72180000-00007FFC721DA000 libKF5ConfigCore.dll
00007FFC1B640000-00007FFC1BBA4000 Qt5Widgets.dll	5.15.7.0
00007FFC1B0C0000-00007FFC1B636000 Qt5Core.dll 	5.15.7.0
00007FFC8D6F0000-00007FFC8D75B000 WS2_32.dll  	6.2.19041.3570
00007FFC8C500000-00007FFC8C5AE000 ADVAPI32.dll	6.2.19041.3570
00007FFC8C5B0000-00007FFC8C64E000 msvcrt.dll  	7.0.19041.3570
00007FFC8C0C0000-00007FFC8C15C000 sechost.dll 	6.2.19041.3570
00007FFC64170000-00007FFC6429C000 libc++.dll
00007FFC866A0000-00007FFC866AE000 libunwind.dll
00007FFC84470000-00007FFC84492000 libkritaplugin.dll
00007FFC7FC30000-00007FFC7FC67000 Qt5Sql.dll  	5.15.7.0
00007FFC74420000-00007FFC74450000 libquazip5.dll
00007FFC861A0000-00007FFC861B9000 libkritastore.dll
00007FFC86490000-00007FFC8649A000 libkritaversion.dll
00007FFC6FFD0000-00007FFC70012000 Qt5Xml.dll  	5.15.7.0
00007FFC6DE50000-00007FFC6DECE000 libkritapsdutils.dll
00007FFC6FFA0000-00007FFC6FFD0000 libkritametadata.dll
00007FFC1A950000-00007FFC1B0BE000 Qt5Gui.dll  	5.15.7.0
00007FFC515E0000-00007FFC5176F000 libfftw3.dll
00007FFC742D0000-00007FFC742EE000 libkritacommand.dll
00007FFC1A5F0000-00007FFC1A94E000 libkritapigment.dll
00007FFC6DC80000-00007FFC6DCCC000 libHalf-2_5.dll
00007FFC51490000-00007FFC515D1000 libkritawidgetutils.dll
00007FFC6FED0000-00007FFC6FF10000 libpng16.dll
00007FFC51330000-00007FFC51485000 Qt5Network.dll	5.15.7.0
00007FFC8B5E0000-00007FFC8B73D000 CRYPT32.dll 	6.2.19041.3570
00007FFC86140000-00007FFC8614B000 libkritacolor.dll
00007FFC73D20000-00007FFC73D3E000 libkritaimpex.dll
00007FFC64C30000-00007FFC64C84000 libkritalibbrush.dll
00007FFC6D820000-00007FFC6D842000 libmlt++-7.dll
00007FFC6A2B0000-00007FFC6A2E3000 libKF5Completion.dll
00007FFC43E00000-00007FFC43EEF000 libkritawidgets.dll
00007FFC64960000-00007FFC64995000 libKF5ItemViews.dll
00007FFC64920000-00007FFC6495E000 libkritaresourcewidgets.dll
00007FFC1A370000-00007FFC1A5E9000 libkritaflake.dll
00007FFC64C00000-00007FFC64C23000 libKF5GuiAddons.dll
00007FFC648F0000-00007FFC64916000 libKF5ConfigGui.dll
00007FFC41B20000-00007FFC41C33000 libKF5WidgetsAddons.dll
00007FFC64120000-00007FFC6416F000 Qt5Svg.dll  	5.15.7.0
00007FFC88F40000-00007FFC88FDE000 UxTheme.dll 	6.2.19041.3570
00007FFC89170000-00007FFC8919F000 dwmapi.dll  	6.2.19041.3570
00007FFC713D0000-00007FFC713ED000 MPR.dll     	6.2.19041.3570
00007FFC8B420000-00007FFC8B44E000 USERENV.dll 	6.2.19041.3570
00007FFC61250000-00007FFC612E4000 libKF5CoreAddons.dll
00007FFC8CB60000-00007FFC8CB68000 PSAPI.DLL   	6.2.19041.3570
00007FFC832B0000-00007FFC832BA000 VERSION.dll 	6.2.19041.3570
00007FFC648C0000-00007FFC648E5000 intl.dll    	0.19.0.0
00007FFC73B80000-00007FFC73BA0000 libzlib.dll 	1.2.13.0
00007FFC71900000-00007FFC71919000 NETAPI32.dll	6.2.19041.3570
00007FFC81950000-00007FFC81977000 WINMM.dll   	6.2.19041.3570
00007FFC87000000-00007FFC87263000 d3d11.dll   	6.2.19041.3570
00007FFC89E10000-00007FFC89F03000 dxgi.dll    	6.2.19041.3570
00007FFC61E50000-00007FFC61E9E000 Qt5PrintSupport.dll	5.15.7.0
00007FFC37FA0000-00007FFC38152000 icuuc-72.dll	72.1.0.0
00007FFC8CE40000-00007FFC8CF1A000 comdlg32.dll	6.2.19041.3570
00007FFC8BEF0000-00007FFC8BF9D000 shcore.dll  	6.2.19041.3570
00007FFC8DDF0000-00007FFC8DE45000 SHLWAPI.dll 	6.2.19041.3570
00007FFC640F0000-00007FFC64114000 libKF5WindowSystem.dll
00007FFC1A0B0000-00007FFC1A36A000 libcrypto-1_1-x64.dll	1.1.1.12
00007FFC8AA00000-00007FFC8AACA000 DNSAPI.dll  	6.2.19041.3570
00007FFC8A9B0000-00007FFC8A9EB000 IPHLPAPI.DLL	6.2.19041.3570
00007FFC59270000-00007FFC592FE000 libssl-1_1-x64.dll	1.1.1.12
00007FFC19DE0000-00007FFC1A0A4000 icuin-72.dll	72.1.0.0
00007FFC54E80000-00007FFC54F2F000 libfreetype.dll	2.12.1.0
00007FFC5F3E0000-00007FFC5F423000 libmlt-7.dll
00007FFC23E60000-00007FFC23F6F000 libharfbuzz-0.dll
00007FFC61220000-00007FFC61247000 libfribidi-0.dll
00007FFC59BB0000-00007FFC59C09000 libfontconfig-1.dll
00007FFC75D70000-00007FFC75E0D000 WINSPOOL.DRV	6.2.19041.3570
00007FFC74F50000-00007FFC75000000 COMCTL32.dll	5.82.19041.3570
00007FFC832D0000-00007FFC832DF000 iconv.dll
00007FFC18000000-00007FFC19DD9000 icudt-72.dll	72.1.0.0
00007FFC722A0000-00007FFC722BB000 libdl.dll
00007FFC8A9F0000-00007FFC8A9FC000 NETUTILS.DLL	6.2.19041.3570
00007FFC7C190000-00007FFC7C1B9000 SRVCLI.DLL  	6.2.19041.3570
00007FFC8AAD0000-00007FFC8AB14000 LOGONCLI.DLL	6.2.19041.3570
00007FFC8AF00000-00007FFC8AF0C000 CRYPTBASE.DLL	6.2.19041.3570
00007FFC80220000-00007FFC80239000 SAMCLI.DLL  	6.2.19041.3570
00007FFC6FF40000-00007FFC6FF58000 libwinpthread-1.dll	1.0.0.0
00007FFC5A880000-00007FFC5A8B4000 libexpat.dll	2.4.8.0
00007FFC8C1C0000-00007FFC8C1F0000 IMM32.DLL   	6.2.19041.3570
00007FFC8DDE0000-00007FFC8DDE8000 NSI.dll     	6.2.19041.3570
00007FFC8BCC0000-00007FFC8BD42000 bcryptPrimitives.dll	6.2.19041.3570
00007FFC8B4A0000-00007FFC8B4C5000 profapi.dll 	6.2.19041.3570
00007FFC89630000-00007FFC89DCB000 windows.storage.dll	6.2.19041.3570
00007FFC8AFB0000-00007FFC8AFDD000 Wldp.dll    	6.2.19041.3570
00007FFC17E10000-00007FFC17FF9000 qwindows.dll	5.15.7.0
00007FFC8D8C0000-00007FFC8DD2E000 SETUPAPI.dll	6.2.19041.3570
00007FFC8BD50000-00007FFC8BD9E000 cfgmgr32.dll	6.2.19041.3570
00007FFC8BDA0000-00007FFC8BDC7000 bcrypt.dll  	6.2.19041.3570
00007FFC8D7F0000-00007FFC8D8BD000 OLEAUT32.dll	6.2.19041.3570
00007FFC86F30000-00007FFC86F44000 WTSAPI32.dll	6.2.19041.3570
00007FFC89430000-00007FFC89442000 kernel.appcore.dll	6.2.19041.3570
00007FFC8AB20000-00007FFC8AB6B000 powrprof.dll	6.2.19041.3570
00007FFC8A990000-00007FFC8A9A2000 UMPDC.dll
00007FFC8B300000-00007FFC8B333000 DEVOBJ.dll  	6.2.19041.3570
00007FFC38DF0000-00007FFC38FBD000 d3d9.dll    	6.2.19041.3570
00007FFC8B140000-00007FFC8B152000 msasn1.dll  	6.2.19041.3570
00007FFC81C90000-00007FFC81CC1000 cryptnet.dll	6.2.19041.3570
00007FFC8B570000-00007FFC8B5D7000 wintrust.dll	6.2.19041.3570
00007FFC8CB70000-00007FFC8CB8D000 imagehlp.dll	6.2.19041.3570
00007FFC8AF10000-00007FFC8AF28000 CRYPTSP.dll 	6.2.19041.3570
00007FFC8A5B0000-00007FFC8A5E4000 rsaenh.dll  	6.2.19041.3570
00007FFC8CB90000-00007FFC8CCA4000 MSCTF.dll   	6.2.19041.3570
00007FFC41E90000-00007FFC41FB5000 opengl32.dll	6.2.19041.3570
00007FFC41E60000-00007FFC41E8C000 GLU32.dll   	6.2.19041.3570
00007FFC8DD30000-00007FFC8DDD9000 clbcatq.dll 	2001.12.10941.16384
00007FFBF5F10000-00007FFBFA19A000 nvoglv64.dll	31.0.15.3623
00007FFC82CA0000-00007FFC82DE8000 drvstore.dll	6.2.19041.3570
00007FFC8A6D0000-00007FFC8A703000 ntmarta.dll 	6.2.19041.3570
00007FFC81D90000-00007FFC81DCB000 dxcore.dll  	6.2.19041.3570
00007FFC8A240000-00007FFC8A29B000 WINSTA.dll  	6.2.19041.3570
00007FFC58450000-00007FFC5848A000 libEGL.DLL  	2.1.0.0
00007FFC17820000-00007FFC17E10000 libGLESv2.dll	2.1.0.0
00007FFC87E30000-00007FFC88013000 dcomp.dll   	6.2.19041.3570
00007FFC85740000-00007FFC8575D000 dhcpcsvc.DLL	6.2.19041.3570
00007FFC175D0000-00007FFC17818000 wintab32.dll	1.0.5.10
00007FFC544A0000-00007FFC54719000 Wacom_Tablet.dll	6.4.4.3
00007FFC81CD0000-00007FFC81D8C000 nvldumdx.dll	31.0.15.3623
00007FFC75E10000-00007FFC7BCEB000 nvwgf2umx.dll	31.0.15.3623
00007FFC74810000-00007FFC74F47000 MessageBus.dll	1.22.2758.1620
00007FFC5F3B0000-00007FFC5F3DE000 qwindowsvistastyle.dll	5.15.7.0
00007FFC6EDC0000-00007FFC6EDD1000 qsvgicon.dll	5.15.7.0
00007FFC5CA90000-00007FFC5CACE000 dataexchange.dll	6.2.19041.3570
00007FFC85C40000-00007FFC85E47000 twinapi.appcore.dll	6.2.19041.3570
00007FFC6A250000-00007FFC6A262000 exchndl.dll 	0.9.7.0
00007FFC57A00000-00007FFC57A7F000 mgwhelp.dll 	0.9.7.0
00007FFC173D0000-00007FFC175C3000 dbghelp.dll 	10.0.18362.1
00007FFC58420000-00007FFC5844A000 dbgcore.DLL 	10.0.18362.1
00007FFC74410000-00007FFC7441F000 kimg_ani.dll
00007FFC73C70000-00007FFC73C80000 kimg_hdr.dll
00007FFC70B70000-00007FFC70B7D000 kimg_kra.dll
00007FFC541D0000-00007FFC54208000 libKF5Archive.dll
0000000063CC0000-0000000063CED000 liblzma.dll 	5.2.6.0
00007FFC6FBB0000-00007FFC6FBBD000 kimg_ora.dll
00007FFC6DE40000-00007FFC6DE50000 kimg_pcx.dll
00007FFC65280000-00007FFC65291000 kimg_pic.dll
00007FFC64B70000-00007FFC64B86000 kimg_psd.dll
00007FFC64FC0000-00007FFC64FCF000 kimg_ras.dll
00007FFC62070000-00007FFC62086000 kimg_raw.dll
00007FFC17250000-00007FFC173CD000 libraw.dll
00007FFC52EF0000-00007FFC52F53000 liblcms2.dll
00007FFC61120000-00007FFC61132000 kimg_rgb.dll
00007FFC61E40000-00007FFC61E4F000 kimg_tga.dll
00007FFC53EE0000-00007FFC53F0B000 kimg_xcf.dll
00007FFC614D0000-00007FFC614E0000 qgif.dll    	5.15.7.0
00007FFC60D80000-00007FFC60D92000 qicns.dll   	5.15.7.0
00007FFC61210000-00007FFC61220000 qico.dll    	5.15.7.0
00007FFC512B0000-00007FFC51323000 qjpeg.dll   	5.15.7.0
00007FFC60D40000-00007FFC60D4F000 qsvg.dll    	5.15.7.0
00007FFC60CB0000-00007FFC60CC2000 qtiff.dll   	5.15.7.0
00007FFC50430000-00007FFC504AB000 libtiff.dll
00007FFC4FBB0000-00007FFC4FC2B000 libjpeg-62.dll
00007FFC5E230000-00007FFC5E23E000 qwbmp.dll   	5.15.7.0
00007FFC43D40000-00007FFC43DF3000 qwebp.dll   	5.15.7.0
00007FFC7F530000-00007FFC7F62A000 textinputframework.dll	6.2.19041.3570
00007FFC88530000-00007FFC8888B000 CoreUIComponents.dll	6.2.19041.3570
00007FFC888B0000-00007FFC889A2000 CoreMessaging.dll	6.2.19041.3570
00007FFC87CC0000-00007FFC87E15000 wintypes.dll	6.2.19041.3570
00007FFC75A80000-00007FFC75AE6000 Oleacc.dll  	7.2.19041.3570
00007FFC60120000-00007FFC60415000 UIAutomationCore.dll	7.2.19041.3570
00007FFC86B20000-00007FFC86C16000 PROPSYS.dll 	7.0.19041.3570
00007FFC8B370000-00007FFC8B412000 sxs.dll     	6.2.19041.3570
00007FFC5A030000-00007FFC5A043000 krita_shape_image.dll
00007FFC41AC0000-00007FFC41B13000 krita_shape_paths.dll
00007FFC16200000-00007FFC1724B000 kritalcmsengine.dll
00007FFC59250000-00007FFC59266000 liblcms2_fast_float.dll
00007FFC53370000-00007FFC5339D000 krita_colorspaces_extensions.dll
00007FFC579E0000-00007FFC579F6000 kritaasccdl.dll
00007FFC555B0000-00007FFC555D0000 kritablurfilter.dll
00007FFC53240000-00007FFC53283000 kritacolorsfilters.dll
00007FFC53160000-00007FFC53176000 kritaconvertheighttonormalmap.dll
00007FFC53040000-00007FFC53051000 kritaconvolutionfilters.dll
00007FFC52ED0000-00007FFC52EE2000 kritadodgeburn.dll
00007FFC52EB0000-00007FFC52EC4000 kritaedgedetection.dll
00007FFC5E220000-00007FFC5E22F000 kritaembossfilter.dll
00007FFC4FB90000-00007FFC4FBA1000 kritaexample.dll
00007FFC41AA0000-00007FFC41AB8000 kritaextensioncolorsfilters.dll
00007FFC41A80000-00007FFC41A94000 kritafastcolortransferfilter.dll
00007FFC41A60000-00007FFC41A75000 kritagaussianhighpassfilter.dll
00007FFC39060000-00007FFC39080000 kritagradientmap.dll
00007FFC38B00000-00007FFC38B35000 kritahalftone.dll
00007FFC39040000-00007FFC3905A000 kritaimageenhancement.dll
00007FFC38AE0000-00007FFC38AFC000 kritaindexcolors.dll
00007FFC38AB0000-00007FFC38ADF000 kritalevelfilter.dll
00007FFC37F80000-00007FFC37F95000 kritanoisefilter.dll
00007FFC37F60000-00007FFC37F71000 kritanormalize.dll
00007FFC37F40000-00007FFC37F55000 kritaoilpaintfilter.dll
00007FFC37E10000-00007FFC37E31000 kritapalettize.dll
00007FFC37DE0000-00007FFC37E01000 kritaphongbumpmap.dll
00007FFC37DC0000-00007FFC37DD4000 kritapixelizefilter.dll
00007FFC25360000-00007FFC25373000 kritaposterize.dll
00007FFC5A870000-00007FFC5A880000 kritaraindropsfilter.dll
00007FFC25200000-00007FFC25216000 kritarandompickfilter.dll
00007FFC59BA0000-00007FFC59BAE000 kritaresettransparent.dll
00007FFC251E0000-00007FFC251F4000 kritaroundcornersfilter.dll
00007FFC251C0000-00007FFC251D2000 kritasmalltilesfilter.dll
00007FFC251A0000-00007FFC251B7000 kritathreshold.dll
00007FFC25180000-00007FFC25193000 kritaunsharpfilter.dll
00007FFC161E0000-00007FFC161F9000 kritawavefilter.dll
00007FFC161C0000-00007FFC161D5000 kritacolorgenerator.dll
00007FFC16190000-00007FFC161B5000 kritagradientgenerator.dll
00007FFC16160000-00007FFC16181000 kritamultigridpatterngenerator.dll
00007FFC16140000-00007FFC1615E000 kritapatterngenerator.dll
00007FFC16000000-00007FFC16134000 kritascreentonegenerator.dll
00007FFC15F40000-00007FFC15FFD000 kritaseexprgenerator.dll
00007FFC15F20000-00007FFC15F3B000 kritasimplexnoisegenerator.dll
00007FFC15E50000-00007FFC15F1D000 kritacolorsmudgepaintop.dll
00007FFC15B10000-00007FFC15E4A000 libkritalibpaintop.dll
00007FFC15AC0000-00007FFC15B07000 kritacurvepaintop.dll
00007FFC15A30000-00007FFC15ABC000 kritadefaultpaintops.dll
00007FFC159D0000-00007FFC15A2B000 kritadeformpaintop.dll
00007FFC15990000-00007FFC159CB000 kritaexperimentpaintop.dll
00007FFC15950000-00007FFC15982000 kritafilterop.dll
00007FFC15900000-00007FFC15947000 kritagridpaintop.dll
00007FFC158A0000-00007FFC158FC000 kritahairypaintop.dll
00007FFC15820000-00007FFC15895000 kritahatchingpaintop.dll
00007FFC15670000-00007FFC15812000 kritamypaintop.dll
00007FFC15640000-00007FFC15662000 libmypaint.dll
00007FFC15620000-00007FFC1563E000 libjson-c.dll
00007FFC155E0000-00007FFC15620000 kritaparticlepaintop.dll
00007FFC155A0000-00007FFC155DE000 kritaroundmarkerpaintop.dll
00007FFC15540000-00007FFC155A0000 kritasketchpaintop.dll
00007FFC15480000-00007FFC1553E000 kritaspraypaintop.dll
00007FFC15420000-00007FFC15472000 kritatangentnormalpaintop.dll
00007FFC153C0000-00007FFC15412000 krita_flaketools.dll
00007FFC15390000-00007FFC153B7000 krita_karbontools.dll
00007FFC15350000-00007FFC15390000 krita_tool_svgtext.dll
00007FFC152E0000-00007FFC15344000 kritaassistanttool.dll
00007FFC15240000-00007FFC152D6000 kritadefaulttools.dll
00007FFC15220000-00007FFC15239000 libkritabasicflakes.dll
00007FFC15170000-00007FFC15213000 kritaselectiontools.dll
00007FFC15140000-00007FFC15168000 kritatoolSmartPatch.dll
00007FFC15110000-00007FFC15139000 kritatoolcrop.dll
00007FFC150F0000-00007FFC15105000 kritatooldyna.dll
00007FFC150A0000-00007FFC150E3000 kritatoolencloseandfill.dll
00007FFC15070000-00007FFC15095000 kritatoollazybrush.dll
00007FFC15050000-00007FFC15063000 kritatoolpolygon.dll
00007FFC15030000-00007FFC15042000 kritatoolpolyline.dll
00007FFC14BB0000-00007FFC14D0B000 kritatooltransform.dll
00007FFC14F70000-00007FFC15027000 kritaanimationdocker.dll
00007FFC14F50000-00007FFC14F66000 kritaarrangedocker.dll
00007FFC14B80000-00007FFC14BAD000 kritaartisticcolorselector.dll
00007FFC14B50000-00007FFC14B71000 kritachanneldocker.dll
00007FFC14AE0000-00007FFC14B4B000 kritacolorselectorng.dll
00007FFC14AC0000-00007FFC14ADF000 kritacompositiondocker.dll
00007FFC14AA0000-00007FFC14AB6000 kritadigitalmixer.dll
00007FFC14A70000-00007FFC14A94000 kritagamutmask.dll
00007FFC14A50000-00007FFC14A6A000 kritagriddocker.dll
00007FFC14A30000-00007FFC14A48000 kritahistogramdocker.dll
00007FFC14A10000-00007FFC14A26000 kritahistorydocker.dll
00007FFC149C0000-00007FFC14A07000 kritalayerdocker.dll
00007FFC149A0000-00007FFC149B8000 kritalogdocker.dll
00007FFC14970000-00007FFC1499B000 kritalutdocker.dll
00007FFC14520000-00007FFC14965000 libOpenColorIO_2_3.dll
00007FFC14500000-00007FFC14519000 kritaoverviewdocker.dll
00007FFC144E0000-00007FFC144FB000 kritapalettedocker.dll
00007FFC59800000-00007FFC59810000 kritapatterndocker.dll
00007FFC58410000-00007FFC58420000 kritapresetdocker.dll
00007FFC144C0000-00007FFC144D8000 kritapresethistory.dll
00007FFC14470000-00007FFC144B8000 kritarecorderdocker.dll
00007FFC14450000-00007FFC1446F000 kritasmallcolorselector.dll
00007FFC14430000-00007FFC14449000 kritasnapshotdocker.dll
00007FFC14410000-00007FFC1442B000 kritaspecificcolorselector.dll
00007FFC143B0000-00007FFC1440E000 kritastoryboarddocker.dll
00007FFC14390000-00007FFC143A5000 kritasvgcollectiondocker.dll
00007FFC14370000-00007FFC14389000 kritatasksetdocker.dll
00007FFC14350000-00007FFC14368000 kritatouchdocker.dll
00007FFC14330000-00007FFC14349000 Qt5QuickWidgets.dll	5.15.7.0
00007FFC14240000-00007FFC1432E000 libkritaqml.dll
00007FFC13E70000-00007FFC1423B000 Qt5Qml.dll  	5.15.7.0
00007FFC13A50000-00007FFC13E66000 Qt5Quick.dll	5.15.7.0
00007FFC139D0000-00007FFC13A43000 Qt5QmlModels.dll	5.15.7.0
00007FFC13980000-00007FFC139CC000 kritawgcolorselector.dll
00007FFC13950000-00007FFC1397B000 kritaexif.dll
00007FFC13700000-00007FFC13941000 libexiv2.dll
00007FFC136D0000-00007FFC136F3000 kritaiptc.dll
00007FFC136B0000-00007FFC136CB000 kritaxmp.dll
00007FFC13540000-00007FFC136AF000 qsqlite.dll 	5.15.7.0
00007FFC13520000-00007FFC13534000 qgenericbearer.dll	5.15.7.0
00007FFC85760000-00007FFC85777000 dhcpcsvc6.DLL	6.2.19041.3570
00007FFC73200000-00007FFC73217000 napinsp.dll 	6.2.19041.3570
00007FFC614B0000-00007FFC614CB000 pnrpnsp.dll 	6.2.19041.3570
00007FFC5E0C0000-00007FFC5E0D5000 wshbth.dll  	6.2.19041.3570
00007FFC88890000-00007FFC888AD000 NLAapi.dll  	6.2.19041.3570
00007FFC8AD10000-00007FFC8AD7A000 mswsock.dll 	6.2.19041.3570
00007FFC5C780000-00007FFC5C792000 winrnr.dll  	6.2.19041.3570
00007FFC84970000-00007FFC8497A000 rasadhlp.dll	6.2.19041.3570
00007FFC83050000-00007FFC830D2000 fwpuclnt.dll	6.2.19041.3570
00007FFC5C7A0000-00007FFC5C7C4000 edputil.dll 	6.2.19041.3570
00007FFC13500000-00007FFC13515000 kritabuginfo.dll
00007FFC134E0000-00007FFC134F9000 kritaclonesarray.dll
00007FFC134C0000-00007FFC134DD000 kritacolorrange.dll
00007FFC134A0000-00007FFC134B2000 kritacolorspaceconversion.dll
00007FFC13480000-00007FFC1349C000 kritadbexplorer.dll
00007FFC13460000-00007FFC1347E000 kritaimagesplit.dll
00007FFC13440000-00007FFC13452000 kritalayergroupswitcher.dll
00007FFC13420000-00007FFC1343F000 kritalayersplit.dll
00007FFC133F0000-00007FFC1341D000 kritametadataeditor.dll
00007FFC133D0000-00007FFC133E8000 kritamodifyselection.dll
00007FFC133B0000-00007FFC133CD000 kritaoffsetimage.dll
00007FFC54E70000-00007FFC54E7F000 kritaqmic.dll
00007FFC13370000-00007FFC133A4000 libkritaqmicinterface.dll
00007FFC13320000-00007FFC1336B000 kritaresourcemanager.dll
00007FFC13300000-00007FFC13318000 kritarotateimage.dll
00007FFC541C0000-00007FFC541CE000 kritasamplescreencolor.dll
00007FFC132E0000-00007FFC132FC000 kritaseparatechannels.dll
00007FFC132C0000-00007FFC132D1000 kritashearimage.dll
00007FFC132A0000-00007FFC132B8000 kritawaveletdecompose.dll
00007FFC13270000-00007FFC13296000 kritapykrita.dll
00007FFC12E10000-00007FFC1326A000 python310.dll	3.10.7150.1013
00007FFC12DF0000-00007FFC12E0B000 VCRUNTIME140.dll	14.32.31332.0
00007FFC12D40000-00007FFC12DED000 libkritalibkis.dll
0000026B24A20000-0000026B24A2F000 python3.DLL 	3.10.7150.1013
00007FFC12CC0000-00007FFC12D39000 krita.pyd
00007FFC12C90000-00007FFC12CB1000 sip.cp310-win_amd64.pyd
00007FFC12A10000-00007FFC12C88000 QtCore.pyd
00007FFC12780000-00007FFC12A06000 QtGui.pyd
00007FFC11A80000-00007FFC11FEA000 QtWidgets.pyd
00007FFC12740000-00007FFC1277F000 QtXml.pyd
00007FFC12720000-00007FFC12735000 _bz2.pyd    	3.10.7150.1013
00007FFC126F0000-00007FFC12719000 _lzma.pyd   	3.10.7150.1013
00007FFC126D0000-00007FFC126F0000 _elementtree.pyd	3.10.7150.1013
00007FFC12690000-00007FFC126C1000 pyexpat.pyd 	3.10.7150.1013
00007FFC53E40000-00007FFC53E50000 _hashlib.pyd	3.10.7150.1013
00007FFC11730000-00007FFC11A7F000 libcrypto-1_1.dll	1.1.1.17
00007FFC12670000-00007FFC12685000 _socket.pyd 	3.10.7150.1013
00007FFC534C0000-00007FFC534C9000 select.pyd  	3.10.7150.1013
00007FFC12640000-00007FFC12668000 _ssl.pyd    	3.10.7150.1013
00007FFC12590000-00007FFC1263E000 libssl-1_1.dll	1.1.1.17
00007FFC12570000-00007FFC12581000 _asyncio.pyd	3.10.7150.1013
00007FFC531E0000-00007FFC531ED000 _overlapped.pyd	3.10.7150.1013
00007FFC53030000-00007FFC5303D000 qtquick2plugin.dll	5.15.7.0
00007FFC12550000-00007FFC12564000 Qt5QmlWorkerScript.dll	5.15.7.0
00007FFC12490000-00007FFC1254A000 kritasketchplugin.dll
00007FFC11270000-00007FFC11723000 d3dcompiler_47.dll	10.0.22000.194
00007FFC62130000-00007FFC62201000 imkrtip.dll 	6.2.19041.1
00007FFC59A50000-00007FFC59B92000 imetip.dll  	6.2.19041.3570
00007FFC605C0000-00007FFC6076E000 DUI70.dll   	6.2.19041.3570
00007FFC60DA0000-00007FFC60DE1000 imkrapi.dll 	6.2.19041.3570
00007FFC86770000-00007FFC86811000 policymanager.dll	6.2.19041.3570
00007FFC8A640000-00007FFC8A6CA000 msvcp110_win.dll	6.2.19041.3570
00007FFC620F0000-00007FFC6212E000 imjkapi.dll 	6.2.19041.3570
00007FFC7BD00000-00007FFC7BF9A000 Comctl32.dll	6.10.19041.3570
00007FFC604D0000-00007FFC60565000 DUser.dll   	6.2.19041.3570
00007FFC5C840000-00007FFC5CA84000 explorerframe.dll	6.2.19041.3570
00007FFC83CF0000-00007FFC83EA4000 WindowsCodecs.dll	6.2.19041.3570
00007FFC5C7D0000-00007FFC5C836000 thumbcache.dll	6.2.19041.3570
00007FFC75820000-00007FFC758CC000 TextShaping.dll
00007FFC62020000-00007FFC62068000 Windows.UI.FileExplorer.dll	6.2.19041.3570
00007FFC5BCA0000-00007FFC5BD1D000 ntshrui.dll 	6.2.19041.3570
00007FFC8B450000-00007FFC8B482000 SspiCli.dll 	6.2.19041.3570
00007FFC6F9F0000-00007FFC6FA02000 cscapi.dll  	6.2.19041.3570
00007FFC5BDD0000-00007FFC5BE31000 Windows.FileExplorer.Common.dll	6.2.19041.3570
00007FFC7DAD0000-00007FFC7DD8C000 iertutil.dll	11.0.19041.3570
00007FFC72830000-00007FFC72976000 Windows.StateRepositoryPS.dll	6.2.19041.3570
00007FFC6EDE0000-00007FFC6EDED000 atlthunk.dll	6.2.19041.3570
00007FFC73F70000-00007FFC74016000 StructuredQuery.dll	7.0.19041.3570
00007FFC58D90000-00007FFC58E56000 Windows.Storage.Search.dll	6.2.19041.3570
00007FFC5CAD0000-00007FFC5CAF2000 cldapi.dll  	6.2.19041.3570
00007FFC71920000-00007FFC7192B000 FLTLIB.DLL  	6.2.19041.3570
00007FFC60420000-00007FFC604C9000 tiptsf.dll  	6.2.19041.3570
00007FFC5DE20000-00007FFC5DE2B000 drprov.dll  	6.2.19041.3570
00007FFC59670000-00007FFC5968F000 ntlanman.dll	6.2.19041.3570
00007FFC59650000-00007FFC5966E000 davclnt.dll 	6.2.19041.3570
00007FFC59640000-00007FFC5964D000 DAVHLPR.dll 	6.2.19041.3570
00007FFC8A710000-00007FFC8A72B000 wkscli.dll  	6.2.19041.3570
00007FFC88C90000-00007FFC88D20000 apphelp.dll 	6.2.19041.3570
00007FFC4FA40000-00007FFC4FA96000 dlnashext.dll	6.2.19041.3570
00007FFC0F080000-00007FFC0F0E4000 PlayToDevice.dll	6.2.19041.3570
00007FFC73B60000-00007FFC73B80000 DevDispItemProvider.dll	6.2.19041.3570
00007FFC60770000-00007FFC60819000 twinapi.dll 	6.2.19041.3570
00007FFC8CF20000-00007FFC8CF99000 coml2.dll   	6.2.19041.3570
00007FFC5E0A0000-00007FFC5E0AD000 LINKINFO.dll	6.2.19041.3570
00007FFC80120000-00007FFC801A5000 MMDevApi.dll	6.2.19041.3570
00007FFC0EFD0000-00007FFC0F071000 wpdshext.dll	6.2.19041.3570
00007FFC7BFA0000-00007FFC7C145000 gdiplus.dll 	6.2.19041.3570
00007FFC85B20000-00007FFC85BC3000 PortableDeviceApi.dll	6.2.19041.3570
00007FFC83BE0000-00007FFC83C12000 PortableDeviceTypes.dll	6.2.19041.3570
00007FFC53290000-00007FFC532B6000 EhStorAPI.dll	6.2.19041.3570
00007FFC5A8C0000-00007FFC5A954000 DropboxExt64.67.0.dll	1.0.67.0
00007FFC58490000-00007FFC58499000 IconCodecService.dll	6.2.19041.1
00007FFC73BA0000-00007FFC73C21000 PhotoMetadataHandler.dll	6.2.19041.3570
00007FFC58E60000-00007FFC59026000 FileSyncShell64.dll	23.209.1008.2
00007FFC70BB0000-00007FFC71086000 WININET.dll 	11.0.19041.3570
00007FFC73D10000-00007FFC73D1C000 Secur32.dll 	6.2.19041.3570
00007FFC83A50000-00007FFC83A67000 NetworkExplorer.dll	6.2.19041.1
00007FFC0F110000-00007FFC0F18D000 provsvc.dll 	6.2.19041.3570
00007FFC81DD0000-00007FFC8259F000 OneCoreUAPCommonProxyStub.dll	6.2.19041.3570
00007FFC7C1C0000-00007FFC7C3AD000 urlmon.dll  	11.0.19041.3570
00007FFC532E0000-00007FFC532F5000 kritaqimageioexport.dll
00007FFC12460000-00007FFC1248E000 kritawebpexport.dll
00007FFC532C0000-00007FFC532D2000 libwebpmux.dll
00007FFC123C0000-00007FFC12456000 libwebp.dll
00007FFC51240000-00007FFC51250000 libsharpyuv.dll
00007FFC25340000-00007FFC25351000 kritaqimageioimport.dll
00007FFC12050000-00007FFC12065000 kritawebpimport.dll
00007FFC4F5E0000-00007FFC4F5ED000 libwebpdemux.dll
00007FFC12100000-00007FFC12173000 symsrv.dll  	10.0.18362.1

Windows 6.2.9200
DrMingw 0.9.7
Comment 2 Halla Rempt 2023-11-09 16:22:31 UTC
looks like that is because on a single-layer image (i.e., a loaded webp image) the projection and the first layer are the same paint device, and the exporter asserts on the check whether the projection is editable.
Comment 3 Halla Rempt 2023-11-09 16:24:35 UTC
Git commit 3d3b84434e04e1bd6c911dddd2860c869401e6d3 by Halla Rempt.
Committed on 09/11/2023 at 17:24.
Pushed by rempt into branch 'master'.

Remove wrong assert

If there is only one layer on loading, that layer is both editable
and the projection, so this assert was wrong.

Also, don't assert if the image is animated, but return an error.

M  +1    -2    plugins/impex/webp/kis_webp_export.cpp

https://invent.kde.org/graphics/krita/-/commit/3d3b84434e04e1bd6c911dddd2860c869401e6d3
Comment 4 Halla Rempt 2023-11-09 16:30:45 UTC
Git commit 252f2e6fe0ef9fbaab97c5a06cc4eaadef786396 by Halla Rempt.
Committed on 09/11/2023 at 17:30.
Pushed by rempt into branch 'krita/5.2'.

Remove wrong assert

If there is only one layer on loading, that layer is both editable
and the projection, so this assert was wrong.

Also, don't assert if the image is animated, but return an error.
(cherry picked from commit 3d3b84434e04e1bd6c911dddd2860c869401e6d3)

M  +1    -2    plugins/impex/webp/kis_webp_export.cpp

https://invent.kde.org/graphics/krita/-/commit/252f2e6fe0ef9fbaab97c5a06cc4eaadef786396
Comment 5 acc4commissions 2023-11-11 06:16:54 UTC
This still happens even after the patch. Sometimes Krita throws 'Unexpected Error'.
Comment 6 acc4commissions 2023-11-12 12:19:23 UTC
Should I make a new bug report?
Comment 7 replicable+kde 2023-11-19 05:26:08 UTC
I think the issue is that trying to save a static WebP as an animated WebP or JXL will cause a crash.
Comment 8 Bug Janitor Service 2023-12-10 05:14:56 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/krita/-/merge_requests/2025
Comment 9 Dmitry Kazakov 2023-12-10 14:35:30 UTC
Git commit 60c7a0821c344418fa1c9ea1aeb8d81d0bc70b1c by Dmitry Kazakov, on behalf of Rasyuqa A. H..
Committed on 10/12/2023 at 15:35.
Pushed by dkazakov into branch 'master'.

WEBP & JPEG-XL: preemptive check for animation

M  +12   -2    plugins/impex/jxl/JPEGXLExport.cpp
M  +12   -2    plugins/impex/webp/kis_webp_export.cpp

https://invent.kde.org/graphics/krita/-/commit/60c7a0821c344418fa1c9ea1aeb8d81d0bc70b1c